<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="RegistGuestToken">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="pKey" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="pTransData" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RegistGuestTokenResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="RegistGuestTokenResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RegistPNDevice">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="pKey" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="pTransData" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RegistPNDeviceResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="RegistPNDeviceResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PushDevicePMG">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="pKey" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="pPushMsg" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PushDevicePMGResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="PushDevicePMGResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateGProgramBgNumber">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="pBgP2M" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateGProgramBgNumberResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UpdateGProgramBgNumberResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PushMessageByToken">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="pKey" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="pPushMsg" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PushMessageByTokenResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="PushMessageByTokenResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="string" nillable="true" type="s:string" />
    </s:schema>
  </wsdl:types>
  <wsdl:message name="RegistGuestTokenSoapIn">
    <wsdl:part name="parameters" element="tns:RegistGuestToken" />
  </wsdl:message>
  <wsdl:message name="RegistGuestTokenSoapOut">
    <wsdl:part name="parameters" element="tns:RegistGuestTokenResponse" />
  </wsdl:message>
  <wsdl:message name="RegistPNDeviceSoapIn">
    <wsdl:part name="parameters" element="tns:RegistPNDevice" />
  </wsdl:message>
  <wsdl:message name="RegistPNDeviceSoapOut">
    <wsdl:part name="parameters" element="tns:RegistPNDeviceResponse" />
  </wsdl:message>
  <wsdl:message name="PushDevicePMGSoapIn">
    <wsdl:part name="parameters" element="tns:PushDevicePMG" />
  </wsdl:message>
  <wsdl:message name="PushDevicePMGSoapOut">
    <wsdl:part name="parameters" element="tns:PushDevicePMGResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateGProgramBgNumberSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateGProgramBgNumber" />
  </wsdl:message>
  <wsdl:message name="UpdateGProgramBgNumberSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateGProgramBgNumberResponse" />
  </wsdl:message>
  <wsdl:message name="PushMessageByTokenSoapIn">
    <wsdl:part name="parameters" element="tns:PushMessageByToken" />
  </wsdl:message>
  <wsdl:message name="PushMessageByTokenSoapOut">
    <wsdl:part name="parameters" element="tns:PushMessageByTokenResponse" />
  </wsdl:message>
  <wsdl:message name="RegistGuestTokenHttpPostIn">
    <wsdl:part name="pKey" type="s:string" />
    <wsdl:part name="pTransData" type="s:string" />
  </wsdl:message>
  <wsdl:message name="RegistGuestTokenHttpPostOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:message name="RegistPNDeviceHttpPostIn">
    <wsdl:part name="pKey" type="s:string" />
    <wsdl:part name="pTransData" type="s:string" />
  </wsdl:message>
  <wsdl:message name="RegistPNDeviceHttpPostOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:message name="PushDevicePMGHttpPostIn">
    <wsdl:part name="pKey" type="s:string" />
    <wsdl:part name="pPushMsg" type="s:string" />
  </wsdl:message>
  <wsdl:message name="PushDevicePMGHttpPostOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:message name="UpdateGProgramBgNumberHttpPostIn">
    <wsdl:part name="pBgP2M" type="s:string" />
  </wsdl:message>
  <wsdl:message name="UpdateGProgramBgNumberHttpPostOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:message name="PushMessageByTokenHttpPostIn">
    <wsdl:part name="pKey" type="s:string" />
    <wsdl:part name="pPushMsg" type="s:string" />
  </wsdl:message>
  <wsdl:message name="PushMessageByTokenHttpPostOut">
    <wsdl:part name="Body" element="tns:string" />
  </wsdl:message>
  <wsdl:portType name="PushServiceSoap">
    <wsdl:operation name="RegistGuestToken">
      <wsdl:input message="tns:RegistGuestTokenSoapIn" />
      <wsdl:output message="tns:RegistGuestTokenSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="RegistPNDevice">
      <wsdl:input message="tns:RegistPNDeviceSoapIn" />
      <wsdl:output message="tns:RegistPNDeviceSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="PushDevicePMG">
      <wsdl:input message="tns:PushDevicePMGSoapIn" />
      <wsdl:output message="tns:PushDevicePMGSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateGProgramBgNumber">
      <wsdl:input message="tns:UpdateGProgramBgNumberSoapIn" />
      <wsdl:output message="tns:UpdateGProgramBgNumberSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="PushMessageByToken">
      <wsdl:input message="tns:PushMessageByTokenSoapIn" />
      <wsdl:output message="tns:PushMessageByTokenSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="PushServiceHttpPost">
    <wsdl:operation name="RegistGuestToken">
      <wsdl:input message="tns:RegistGuestTokenHttpPostIn" />
      <wsdl:output message="tns:RegistGuestTokenHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="RegistPNDevice">
      <wsdl:input message="tns:RegistPNDeviceHttpPostIn" />
      <wsdl:output message="tns:RegistPNDeviceHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="PushDevicePMG">
      <wsdl:input message="tns:PushDevicePMGHttpPostIn" />
      <wsdl:output message="tns:PushDevicePMGHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateGProgramBgNumber">
      <wsdl:input message="tns:UpdateGProgramBgNumberHttpPostIn" />
      <wsdl:output message="tns:UpdateGProgramBgNumberHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="PushMessageByToken">
      <wsdl:input message="tns:PushMessageByTokenHttpPostIn" />
      <wsdl:output message="tns:PushMessageByTokenHttpPostOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="PushServiceSoap" type="tns:PushServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="RegistGuestToken">
      <soap:operation soapAction="http://tempuri.org/RegistGuestToken" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RegistPNDevice">
      <soap:operation soapAction="http://tempuri.org/RegistPNDevice" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PushDevicePMG">
      <soap:operation soapAction="http://tempuri.org/PushDevicePMG" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateGProgramBgNumber">
      <soap:operation soapAction="http://tempuri.org/UpdateGProgramBgNumber" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PushMessageByToken">
      <soap:operation soapAction="http://tempuri.org/PushMessageByToken" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="PushServiceSoap12" type="tns:PushServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="RegistGuestToken">
      <soap12:operation soapAction="http://tempuri.org/RegistGuestToken" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RegistPNDevice">
      <soap12:operation soapAction="http://tempuri.org/RegistPNDevice" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PushDevicePMG">
      <soap12:operation soapAction="http://tempuri.org/PushDevicePMG" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateGProgramBgNumber">
      <soap12:operation soapAction="http://tempuri.org/UpdateGProgramBgNumber" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PushMessageByToken">
      <soap12:operation soapAction="http://tempuri.org/PushMessageByToken" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="PushServiceHttpPost" type="tns:PushServiceHttpPost">
    <http:binding verb="POST" />
    <wsdl:operation name="RegistGuestToken">
      <http:operation location="/RegistGuestToken" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RegistPNDevice">
      <http:operation location="/RegistPNDevice" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PushDevicePMG">
      <http:operation location="/PushDevicePMG" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateGProgramBgNumber">
      <http:operation location="/UpdateGProgramBgNumber" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PushMessageByToken">
      <http:operation location="/PushMessageByToken" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="PushService">
    <wsdl:port name="PushServiceSoap" binding="tns:PushServiceSoap">
      <soap:address location="http://10.20.88.57/MSFT2/PushService.asmx" />
    </wsdl:port>
    <wsdl:port name="PushServiceSoap12" binding="tns:PushServiceSoap12">
      <soap12:address location="http://10.20.88.57/MSFT2/PushService.asmx" />
    </wsdl:port>
    <wsdl:port name="PushServiceHttpPost" binding="tns:PushServiceHttpPost">
      <http:address location="http://10.20.88.57/MSFT2/PushService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>